import { jsxs as o, Fragment as i, jsx as n } from "react/jsx-runtime";
import { Typography as m } from "@mui/material";
import { renderAvatar as d } from "../components.js";
function c(a) {
  const { user: r, avatarSize: t = 48, onAvatarClick: e } = a;
  return /* @__PURE__ */ o(i, { children: [
    d(r, t, a.avatarProps, e),
    /* @__PURE__ */ n(m, { variant: "body1", children: r.fullName || r.email || r.did })
  ] });
}
export {
  c as default
};
